Debian Bug report logs - #94629
autosave

version graph

Package: qcad; Maintainer for qcad is Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>; Source for qcad is src:qcad.

Reported by: J Sigbrandt <js37@ohm.york.ac.uk>

Date: Fri, 20 Apr 2001 15:18:01 UTC

Severity: wishlist

Tags: patch

Found in version 1.4.6-2

Fixed in version qcad/2.0.5.0-1+090318-9

Done: Scott Howard <showard314@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://www.ribbonsoft.com/rsforum/viewtopic.php?t=855

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Fernando Sanchez <fer@debian.org>:
Bug#94629; Package qcad. Full text and rfc822 format available.

Acknowledgement sent to J Sigbrandt <js37@ohm.york.ac.uk>:
New Bug report received and forwarded. Copy sent to Fernando Sanchez <fer@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: J Sigbrandt <js37@ohm.york.ac.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: autosave
Date: Fri, 20 Apr 2001 16:10:00 +0100
Package: qcad
Version: 1.4.6-2
Severity: wishlist

Sometimes X crashes and sometimes QCAD itself crashes. Despite years
of being taught the hard way to "use save and use it often" I don't
seem to learn and still end up losing work ... too often :(

QCAD needs some form of autosave.

j the forgetful

-- System Information
Debian Release: 2.2
Architecture: i386
Kernel: Linux nobelle 2.2.19 #2 Thu Mar 29 18:45:14 BST 2001 i686

Versions of packages qcad depends on:
ii  libc6                    2.2.2-1         GNU C Library: Shared libraries an
ii  libqt2                   2:2.3.0-final-1 Qt GUI Library (runtime version). 
ii  libstdc++2.10-glibc2.2   1:2.95.2-16     The GNU stdc++ library            
ii  xlibs                    4.0.2-7         X Window System client libraries  




Reply sent to Fernando Sanchez <fer@ceu.fi.udc.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 94629-forwarded@bugs.debian.org (full text, mbox):

From: Fernando Sanchez <fer@ceu.fi.udc.es>
To: andrew@ribbonsoft.com
Cc: 94629-forwarded@bugs.debian.org, js37@ohm.york.ac.uk
Subject: Re: Bug#94629: autosave
Date: Fri, 20 Apr 2001 19:04:09 +0200 (CEST)
Hello,
	this is a forward of a mail received by the Debian Bug Tracking
system, suggesting a new feature in QCad. If you reply to this message,
please preserve the Cc: headers in this one. Thanks.

Kind regards,

Fernando Sanchez - fer@debian.org


On Fri, 20 Apr 2001, J Sigbrandt wrote:

> Package: qcad
> Version: 1.4.6-2
> Severity: wishlist
> 
> Sometimes X crashes and sometimes QCAD itself crashes. Despite years
> of being taught the hard way to "use save and use it often" I don't
> seem to learn and still end up losing work ... too often :(
> 
> QCAD needs some form of autosave.
> 
> j the forgetful
> 
> -- System Information
> Debian Release: 2.2
> Architecture: i386




Forwarded-to-address changed from andrew@ribbonsoft.com to http://www.ribbonsoft.com/forum/viewtopic.php?t=855. Request was from Ruben Molina <rmolina@udea.edu.co> to control@bugs.debian.org. (Wed, 01 Jul 2009 22:09:11 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'http://www.ribbonsoft.com/rsforum/viewtopic.php?t=855' from 'http://www.ribbonsoft.com/forum/viewtopic.php?t=855' Request was from Kalle Olavi Niemitalo <kon@iki.fi> to control@bugs.debian.org. (Sat, 06 Mar 2010 10:09:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#94629; Package qcad. (Wed, 28 Jul 2010 09:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joerg Wunsch <joerg_wunsch@uriah.heep.sax.de>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Wed, 28 Jul 2010 09:51:06 GMT) Full text and rfc822 format available.

Message #17 received at 94629@bugs.debian.org (full text, mbox):

From: Joerg Wunsch <j@uriah.heep.sax.de>
To: 94629@bugs.debian.org
Subject: QCad autosave
Date: Wed, 28 Jul 2010 11:22:06 +0200
I wrote an autosave patch for the community version of QCad some years
ago.  It's been proven useful in the past.

http://www.sax.de/~joerg/qcad-autosave.patch

-- 
cheers, J"org               .-.-.   --... ...--   -.. .  DL8DTL

http://www.sax.de/~joerg/                        NIC: JW11-RIPE
Never trust an operating system you don't have sources for. ;-)




Added tag(s) patch. Request was from Scott Howard <showard314@gmail.com> to control@bugs.debian.org. (Wed, 03 Nov 2010 04:15:02 GMT) Full text and rfc822 format available.

Message sent on to J Sigbrandt <js37@ohm.york.ac.uk>:
Bug#94629. (Wed, 03 Nov 2010 04:15:04 GMT) Full text and rfc822 format available.

Message #22 received at 94629-submitter@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: 94629-submitter@bugs.debian.org, control@bugs.debian.org
Subject: better late then never re: autosave
Date: Wed, 3 Nov 2010 00:12:34 -0400
tags 94629 patch
thanks

I got this patch from http://tech.groups.yahoo.com/group/qcad-user/message/1838

If you are interested in testing this, I'll put the patch in the
version in experimental for testing.


"After my wife loosing two hours worth of work because the laptop
battery suddenly died, and reading here people requesting autosave
but apparently nobody going to implement it so far, I made a first
stab at an autosave implementation.

The autosave implementation doesn't clobber the original user file
but prepends a "#" to the filename part. Upon a successful save
of the user file, the autosave file will be deleted.

I'd like people to have a look at it. Not yet done:

. Recognize an old autosave file upon opening an existing file,
and hinting the user to use it to recover lost data.

. Make anything customizable through preferences.

Also, I'm not sure if/how to handle multiple documents being edited
in parallel.

The file can be obtained at

http://www.sax.de/~joerg/qcad-autosave.patch"

diff -ru ../qcad-2.0.5.0-1-community.src.orig/qcad/src/qc_applicationwindow.cpp
./qcad/src/qc_applicationwindow.cpp
--- ../qcad-2.0.5.0-1-community.src.orig/qcad/src/qc_applicationwindow.cpp	Tue
Nov 22 12:49:33 2005
+++ ./qcad/src/qc_applicationwindow.cpp	Sat Aug 11 22:47:35 2007
@@ -162,6 +162,11 @@
 	RS_DEBUG->print("QC_ApplicationWindow::QC_ApplicationWindow: init MDI");
     initMDI();

+    // Activate autosave timer
+    autosaveTimer = new QTimer(this, "autosave");
+    connect(autosaveTimer, SIGNAL(timeout()), this, SLOT(slotFileAutoSave()));
+    autosaveTimer->start(autosaveTime);
+
     // Disable menu and toolbar items
     emit windowsChanged(FALSE);

@@ -2133,6 +2138,9 @@
             	name = w->getDocument()->getFilename();
             	recentFiles->add(name);
             	w->setCaption(name);
+		if (!autosaveTimer->isActive()) {
+		    autosaveTimer->start(autosaveTime);
+		}
 	    }
         } else {
             // error
@@ -2148,6 +2156,37 @@
     QString message = tr("Saved drawing: %1").arg(name);
     statusBar()->message(message, 2000);
     commandWidget->appendHistory(message);
+}
+
+
+
+/**
+ * Autosave.
+ */
+void QC_ApplicationWindow::slotFileAutoSave() {
+    RS_DEBUG->print("QC_ApplicationWindow::slotFileAutoSave()");
+
+    statusBar()->message(tr("Auto-saving drawing..."));
+
+    QC_MDIWindow* w = getMDIWindow();
+    QString name;
+    if (w!=NULL) {
+	bool cancelled;
+	if (w->slotFileSave(cancelled, true)) {
+	    // auto-save cannot be cancelled by user, so the
+	    // "cancelled" parameter is a dummy
+	    statusBar()->message(tr("Auto-saved drawing"), 2000);
+	} else {
+	    // error
+	    autosaveTimer->stop();
+	    QMessageBox::information(this, QMessageBox::tr("Warning"),
+				     tr("Cannot auto-save the file\n%1\nPlease "
+					"check the permissions.\n"
+					"Auto-save disabled.")
+				     .arg(w->getDocument()->getAutoSaveFilename()),
+				     QMessageBox::Ok);
+	}
+    }
 }


diff -ru ../qcad-2.0.5.0-1-community.src.orig/qcad/src/qc_applicationwindow.h
./qcad/src/qc_applicationwindow.h
--- ../qcad-2.0.5.0-1-community.src.orig/qcad/src/qc_applicationwindow.h	Tue
Nov 22 12:49:34 2005
+++ ./qcad/src/qc_applicationwindow.h	Sat Aug 11 22:47:35 2007
@@ -37,6 +37,7 @@
 #include <qsplitter.h>
 #include <qstatusbar.h>
 #include <qtable.h>
+#include <qtimer.h>
 #include <qtoolbar.h>
 #include <qtoolbutton.h>
 #include <qwhatsthis.h>
@@ -148,6 +149,8 @@
     void slotFileSave();
     /** saves a document under a different filename*/
     void slotFileSaveAs();
+    /** auto-save document */
+    void slotFileAutoSave();
 	/** exports the document as bitmap */
 	void slotFileExport();
 	bool slotFileExport(const QString& name, const QString& format,
@@ -456,6 +459,9 @@
     QAction *testResize800;
     QAction *testResize1024;

+    QTimer *autosaveTimer;
+
+    const static int autosaveTime = 60 * 1000;	// 1 minute
 };


diff -ru ../qcad-2.0.5.0-1-community.src.orig/qcad/src/qc_mdiwindow.cpp
./qcad/src/qc_mdiwindow.cpp
--- ../qcad-2.0.5.0-1-community.src.orig/qcad/src/qc_mdiwindow.cpp	Tue
Nov 22 12:49:37 2005
+++ ./qcad/src/qc_mdiwindow.cpp	Sat Aug 11 22:47:35 2007
@@ -324,23 +324,32 @@
 /**
  * Saves the current file.
  *
+ * @param  isAutoSave true if this is an "autosave" operation.
+ *                    false if this is "Save" operation requested
+ *                    by the user.
  * @return true if the file was saved successfully.
  *         false if the file could not be saved or the document
  *         is invalid.
  */
-bool QC_MDIWindow::slotFileSave(bool &cancelled) {
+bool QC_MDIWindow::slotFileSave(bool &cancelled, bool isAutoSave) {
     RS_DEBUG->print("QC_MDIWindow::slotFileSave()");
     bool ret = false;
     cancelled = false;

     if (document!=NULL) {
-        if (document->getFilename().isEmpty()) {
-            ret = slotFileSaveAs(cancelled);
+	if (isAutoSave) {
+	    // Autosave filename is always supposed to be present.
+	    // Autosave does not change the cursor.
+            ret = document->save(true);
         } else {
-            QApplication::setOverrideCursor( QCursor(Qt::WaitCursor) );
-            ret = document->save();
-            QApplication::restoreOverrideCursor();
-        }
+	    if (document->getFilename().isEmpty()) {
+		ret = slotFileSaveAs(cancelled);
+	    } else {
+		QApplication::setOverrideCursor( QCursor(Qt::WaitCursor) );
+		ret = document->save();
+		QApplication::restoreOverrideCursor();
+	    }
+	}
     }

     return ret;
diff -ru ../qcad-2.0.5.0-1-community.src.orig/qcad/src/qc_mdiwindow.h
./qcad/src/qc_mdiwindow.h
--- ../qcad-2.0.5.0-1-community.src.orig/qcad/src/qc_mdiwindow.h	Tue
Nov 22 12:49:37 2005
+++ ./qcad/src/qc_mdiwindow.h	Sat Aug 11 22:47:35 2007
@@ -69,7 +69,7 @@

     void slotFileNew();
     bool slotFileOpen(const QString& fileName, RS2::FormatType type);
-    bool slotFileSave(bool &cancelled);
+    bool slotFileSave(bool &cancelled, bool isAutoSave=false);
     bool slotFileSaveAs(bool &cancelled);
     bool slotFileClose(bool force);
     void slotFilePrint();
diff -ru ../qcad-2.0.5.0-1-community.src.orig/qcadlib/src/engine/rs_block.cpp
./qcadlib/src/engine/rs_block.cpp
--- ../qcad-2.0.5.0-1-community.src.orig/qcadlib/src/engine/rs_block.cpp	Tue
Nov 22 12:52:35 2005
+++ ./qcadlib/src/engine/rs_block.cpp	Sat Aug 11 22:47:35 2007
@@ -78,10 +78,10 @@
 }


-bool RS_Block::save() {
+bool RS_Block::save(bool isAutoSave) {
     RS_Graphic* g = getGraphic();
     if (g!=NULL) {
-        return g->save();
+        return g->save(isAutoSave);
     } else {
         return false;
     }
diff -ru ../qcad-2.0.5.0-1-community.src.orig/qcadlib/src/engine/rs_block.h
./qcadlib/src/engine/rs_block.h
--- ../qcad-2.0.5.0-1-community.src.orig/qcadlib/src/engine/rs_block.h	Tue
Nov 22 12:52:38 2005
+++ ./qcadlib/src/engine/rs_block.h	Sat Aug 11 22:47:35 2007
@@ -128,7 +128,7 @@
     /**
      * Reimplementation from RS_Document. Saves the parent graphic document.
      */
-    virtual bool save();
+    virtual bool save(bool isAutoSave = false);

     /**
      * Reimplementation from RS_Document. Does nothing.
diff -ru ../qcad-2.0.5.0-1-community.src.orig/qcadlib/src/engine/rs_document.cpp
./qcadlib/src/engine/rs_document.cpp
--- ../qcad-2.0.5.0-1-community.src.orig/qcadlib/src/engine/rs_document.cpp	Tue
Nov 22 12:52:38 2005
+++ ./qcadlib/src/engine/rs_document.cpp	Sat Aug 11 22:47:35 2007
@@ -40,6 +40,7 @@
     RS_DEBUG->print("RS_Document::RS_Document() ");

     filename = "";
+    autosaveFilename = "Unnamed";
 	formatType = RS2::FormatUnknown;
     setModified(false);
     RS_Color col(RS2::FlagByLayer);
diff -ru ../qcad-2.0.5.0-1-community.src.orig/qcadlib/src/engine/rs_document.h
./qcadlib/src/engine/rs_document.h
--- ../qcad-2.0.5.0-1-community.src.orig/qcadlib/src/engine/rs_document.h	Tue
Nov 22 12:52:32 2005
+++ ./qcadlib/src/engine/rs_document.h	Sat Aug 11 22:47:35 2007
@@ -53,7 +53,7 @@
     virtual RS_BlockList* getBlockList() = 0;

     virtual void newDoc() = 0;
-    virtual bool save() = 0;
+    virtual bool save(bool isAutoSave = false) = 0;
     virtual bool saveAs(const RS_String &filename, RS2::FormatType type) = 0;
     virtual bool open(const RS_String &filename, RS2::FormatType type) = 0;
 	
@@ -98,6 +98,13 @@
     }
 	
     /**
+     * @return Auto-save file name of the document currently loaded.
+     */
+    RS_String getAutoSaveFilename() const {
+        return autosaveFilename;
+    }
+	
+    /**
      * Sets file name for the document currently loaded.
      */
     void setFilename(const RS_String& fn) {
@@ -136,6 +143,8 @@
     RS_Pen activePen;
     /** File name of the document or empty for a new document. */
     RS_String filename;
+	/** Auto-save file name of document. */
+	RS_String autosaveFilename;
 	/** Format type */
 	RS2::FormatType formatType;
 };
diff -ru ../qcad-2.0.5.0-1-community.src.orig/qcadlib/src/engine/rs_graphic.cpp
./qcadlib/src/engine/rs_graphic.cpp
--- ../qcad-2.0.5.0-1-community.src.orig/qcadlib/src/engine/rs_graphic.cpp	Tue
Nov 22 12:52:32 2005
+++ ./qcadlib/src/engine/rs_graphic.cpp	Sat Aug 11 22:47:57 2007
@@ -24,6 +24,8 @@
 **
 **********************************************************************/

+#include <qfile.h>
+#include <qfileinfo.h>

 #include "rs_graphic.h"

@@ -178,21 +180,46 @@
 /**
  * Saves this graphic with the current filename and settings.
  */
-bool RS_Graphic::save() {
+bool RS_Graphic::save(bool isAutoSave) {

 	bool ret = false;
+
 	
     RS_DEBUG->print("RS_Graphic::save");
-    RS_DEBUG->print("  file: %s", filename.latin1());
-    RS_DEBUG->print("  format: %d", (int)formatType);
-
-    RS_DEBUG->print("  export...");
-    ret = RS_FILEIO->fileExport(*this, filename, formatType);
-
-	if (ret) {
-		setModified(false);
-		layerList.setModified(false);
-		blockList.setModified(false);
+	if (isAutoSave && !isModified()) {
+	    RS_DEBUG->print("  autsave and not modified => not saved");
+		ret = true;
+	} else {
+		const RS_String *actualName;
+		RS2::FormatType actualType;
+
+		actualType = formatType;
+		if (isAutoSave) {
+			actualName = new QString(autosaveFilename);
+			if (formatType == RS2::FormatUnknown) {
+				actualType = RS2::FormatDXF;
+			}
+		} else {
+			actualName = new QString(filename);
+		}
+	    RS_DEBUG->print("  file: %s", actualName->latin1());
+		RS_DEBUG->print("  format: %d", (int)actualType);
+		RS_DEBUG->print("  export...");
+		ret = RS_FILEIO->fileExport(*this, *actualName, actualType);
+		delete actualName;
+
+		if (ret && !isAutoSave) {
+		    setModified(false);
+			layerList.setModified(false);
+			blockList.setModified(false);
+			// Remove old autosave file
+			QFile f(autosaveFilename);
+			if (f.exists()) {
+				RS_DEBUG->print("  removing old autosave file %s",
+								autosaveFilename.latin1());
+				f.remove();
+			}
+		}
 	}

     RS_DEBUG->print("RS_Graphic::save ok");
@@ -210,9 +237,28 @@
     RS_DEBUG->print("RS_Graphic::saveAs");

     this->filename = filename;
+	RS_String *oldAutosaveName = new RS_String(autosaveFilename);
+	QFileInfo finfo(filename);
+	// Construct new autosave filename by prepending # to the filename
+	// part, using the same directory as the destination file.
+	this->autosaveFilename = finfo.dirPath() + "/#" + finfo.fileName();
 	this->formatType = type;

-    return save();
+    bool ret = save();
+
+	if (ret) {
+		// save was successful, remove old autosave file
+		QFile f(*oldAutosaveName);
+		if (f.exists()) {
+			RS_DEBUG->print("removing old autosave file %s",
+							oldAutosaveName->latin1());
+			f.remove();
+		}
+	}
+
+	delete oldAutosaveName;
+
+	return ret;
 }


@@ -226,6 +272,10 @@
 	bool ret = false;

     this->filename = filename;
+	QFileInfo finfo(filename);
+	// Construct new autosave filename by prepending # to the filename
+	// part, using the same directory as the destination file.
+	this->autosaveFilename = finfo.dirPath() + "/#" + finfo.fileName();

     // clean all:
     newDoc();
diff -ru ../qcad-2.0.5.0-1-community.src.orig/qcadlib/src/engine/rs_graphic.h
./qcadlib/src/engine/rs_graphic.h
--- ../qcad-2.0.5.0-1-community.src.orig/qcadlib/src/engine/rs_graphic.h	Tue
Nov 22 12:52:38 2005
+++ ./qcadlib/src/engine/rs_graphic.h	Sat Aug 11 22:47:35 2007
@@ -69,7 +69,7 @@
     }

     virtual void newDoc();
-    virtual bool save();
+    virtual bool save(bool isAutoSave = false);
     virtual bool saveAs(const RS_String& filename, RS2::FormatType type);
     virtual bool open(const RS_String& filename, RS2::FormatType type);




Reply sent to Scott Howard <showard314@gmail.com>:
You have taken responsibility. (Wed, 03 Nov 2010 05:21:02 GMT) Full text and rfc822 format available.

Notification sent to J Sigbrandt <js37@ohm.york.ac.uk>:
Bug acknowledged by developer. (Wed, 03 Nov 2010 05:21:03 GMT) Full text and rfc822 format available.

Message #27 received at 94629-close@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: 94629-close@bugs.debian.org
Subject: Bug#94629: fixed in qcad 2.0.5.0-1+090318-9
Date: Wed, 03 Nov 2010 05:17:11 +0000
Source: qcad
Source-Version: 2.0.5.0-1+090318-9

We believe that the bug you reported is fixed in the latest version of
qcad, which is due to be installed in the Debian FTP archive:

qcad-data_2.0.5.0-1+090318-9_all.deb
  to main/q/qcad/qcad-data_2.0.5.0-1+090318-9_all.deb
qcad-doc_2.0.5.0-1+090318-9_all.deb
  to main/q/qcad/qcad-doc_2.0.5.0-1+090318-9_all.deb
qcad_2.0.5.0-1+090318-9.debian.tar.gz
  to main/q/qcad/qcad_2.0.5.0-1+090318-9.debian.tar.gz
qcad_2.0.5.0-1+090318-9.dsc
  to main/q/qcad/qcad_2.0.5.0-1+090318-9.dsc
qcad_2.0.5.0-1+090318-9_amd64.deb
  to main/q/qcad/qcad_2.0.5.0-1+090318-9_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 94629@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Howard <showard314@gmail.com> (supplier of updated qcad package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 03 Nov 2010 00:36:56 -0400
Source: qcad
Binary: qcad qcad-data qcad-doc
Architecture: source amd64 all
Version: 2.0.5.0-1+090318-9
Distribution: experimental
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Scott Howard <showard314@gmail.com>
Description: 
 qcad       - professional CAD system
 qcad-data  - professional CAD system -- shared files
 qcad-doc   - professional CAD system -- documentation
Closes: 94629
Changes: 
 qcad (2.0.5.0-1+090318-9) experimental; urgency=low
 .
   * debian/patches/autosave.patch
     - Enabled an autosave feature. Prepends a "#" to the filename part.
       Upon a successful save of the user file, the autosave file will be
       deleted. Closes: #94629
   * S-V 3.9.1 (no changes)
Checksums-Sha1: 
 6052f46fc334da53243db9b6044503b512437663 1460 qcad_2.0.5.0-1+090318-9.dsc
 21c69974fdc75e9d4a508c5153e0db5776290dec 22219 qcad_2.0.5.0-1+090318-9.debian.tar.gz
 e108d80819270a3812cd37ac38199db2439307af 1322990 qcad_2.0.5.0-1+090318-9_amd64.deb
 09166e301aabdc92ae6816e1c66ff0a18d80f7a1 1742282 qcad-data_2.0.5.0-1+090318-9_all.deb
 1d6f28c93f57ac2873e818ecd1c6ba13221a05df 1660998 qcad-doc_2.0.5.0-1+090318-9_all.deb
Checksums-Sha256: 
 f49656fda3f869fd5631d653057974959d1be891362050e723a9419d4687ca33 1460 qcad_2.0.5.0-1+090318-9.dsc
 14b7883889e87ca10ba8f182b5ba4c712ad58abe5b320d4d6e2741b06476f115 22219 qcad_2.0.5.0-1+090318-9.debian.tar.gz
 6db504cea4f098c34e029672f499183dda4fb8a4c1d8ee414844d1915e864cfd 1322990 qcad_2.0.5.0-1+090318-9_amd64.deb
 0b704788ed486ad2222fc41409e70f89dd7629cacad41a7e40c24b375190d53b 1742282 qcad-data_2.0.5.0-1+090318-9_all.deb
 62e47261c2a3efd8316ac09bf1f8ad733b650af2b4c8b31e80487d196ee0133f 1660998 qcad-doc_2.0.5.0-1+090318-9_all.deb
Files: 
 531e74ec8e92ab610b7ca4347aac7a10 1460 graphics optional qcad_2.0.5.0-1+090318-9.dsc
 d332d6dd5826ae598f500148fbc6eae5 22219 graphics optional qcad_2.0.5.0-1+090318-9.debian.tar.gz
 02130ac6059e90ae928cf4f7d1818ba4 1322990 graphics optional qcad_2.0.5.0-1+090318-9_amd64.deb
 72e71a7641239f31010c3c6a4210eb58 1742282 doc optional qcad-data_2.0.5.0-1+090318-9_all.deb
 f2316fc234b2890580dd2635c256c984 1660998 doc optional qcad-doc_2.0.5.0-1+090318-9_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzQ7B8ACgkQuqVp0MvxKmr50ACeM3LbCiEks0CN7Jh4Bmqs6QZE
bjcAmwQnihTdeMm1IM3sFr22MjqTJNOn
=xQLI
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Dec 2011 07:33:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:03:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.